## org.opengis.geometry.coordinate
Interface Geodesic

All Superinterfaces:
  CurveSegment, GenericCurve, GeodesicString

    @UML(identifier="GM_Geodesic",
         specification=ISO_19107)
    public interface Geodesic

extends GeodesicString

Two distinct positions joined by a geodesic curve. The control points of a `Geodesic` shall all lie on the geodesic between its start point and end point. Between these two points, a geodesic curve defined from the ellipsoid or geoid model used by the coordinate reference system may be used to interpolate other positions. Any other point in the `controlPoint` array must fall on this geodesic.

Since:
  GeoAPI 1.0
Version:
  ISO 19107
See Also:
  `GeometryFactory.createGeodesic(org.opengis.geometry.coordinate.Position, org.opengis.geometry.coordinate.Position)`

Method Summary

Methods inherited from interface GeodesicString
`asGeodesics, getControlPoints, getInterpolation`

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.